Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.strategy
Class StandaloneLocalStrategy

    java.lang.Object
      org.jbpm.process.audit.strategy.StandaloneLocalStrategy

All Implemented Interfaces:
  PersistenceStrategy

    public class StandaloneLocalStrategy

extends Object
implements PersistenceStrategy

This strategy is used by instances that are

- used outside the `KieSession`
- use their own `EntityManager` instance per operation

Field Summary
`protected javax.persistence.EntityManagerFactory` | `emf`

Constructor Summary
`StandaloneLocalStrategy(javax.persistence.EntityManagerFactory emf)`

Method Summary
`void` | `dispose()`
`javax.persistence.EntityManager` | `getEntityManager()`
`Object` | `joinTransaction(javax.persistence.EntityManager em)`
`void` | `leaveTransaction(javax.persistence.EntityManager em, Object transaction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### emf

    protected javax.persistence.EntityManagerFactory emf

Constructor Detail

### StandaloneLocalStrategy

    public StandaloneLocalStrategy(javax.persistence.EntityManagerFactory emf)

Method Detail

### getEntityManager

    public javax.persistence.EntityManager getEntityManager()

  Specified by:
    `getEntityManager` in interface `PersistenceStrategy`

### joinTransaction

    public Object joinTransaction(javax.persistence.EntityManager em)

  Specified by:
    `joinTransaction` in interface `PersistenceStrategy`

### leaveTransaction

    public void leaveTransaction(javax.persistence.EntityManager em,
                                 Object transaction)

  Specified by:
    `leaveTransaction` in interface `PersistenceStrategy`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `PersistenceStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.